# HttpErrorView Class Reference
[Spring-like webflow tools]

Inheritance diagram for HttpErrorView:
[legend]

List of all members.

## Public Member Functions

| __construct (HttpStatus $status, $prefix, $postfix)
| render ($model=null)

## Protected Attributes

| $status = null
| $prefix = null
| $postfix = null

## Detailed Description

Definition at line 15 of file HttpErrorView.class.php.

## Constructor & Destructor Documentation

HttpErrorView::__construct | ( | HttpStatus $ | status,
|  | $ | prefix,
|  | $ | postfix |
| ) |  |  |

Definition at line 22 of file HttpErrorView.class.php.

References $postfix, and $prefix.

## Member Function Documentation

HttpErrorView::render | ( | $ | model = `null` | ) |

Parameters:

  | $model | null or Model

Implements View.

Definition at line 30 of file HttpErrorView.class.php.

## Member Data Documentation

HttpErrorView::$postfix = null`[protected]`

Definition at line 20 of file HttpErrorView.class.php.

Referenced by __construct().

HttpErrorView::$prefix = null`[protected]`

Definition at line 19 of file HttpErrorView.class.php.

Referenced by __construct().

HttpErrorView::$status = null`[protected]`

Definition at line 17 of file HttpErrorView.class.php.

The documentation for this class was generated from the following file:

- main/Flow/HttpErrorView.class.php